#
#   Risposta in frequenza del filtro digitale costruito.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set term png size 640,480 x000000 xffffff



load "zeri_poli.gnu"



set grid x y
set xzeroaxis lw 2

#set key off
set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key left
set key bottom

set samples 300

set xrange[0.0:0.5]
set yrange[-40:40]

set xtics 0.05
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Risposta in frequenza del PI in anello aperto"

set arrow 1 from 0.12,-15 to 0.03,2
set label 1 "scarsa integrazione, alto Si" at 0.12,-15
set arrow 2 from 0.17,25 to 0.05,10
set label 2 "forte integrazione, basso Si" at 0.17,25


plot	dB(Pid_1(z(x))) title "q0=0.8" lw 2, \
	dB(Pid_2(z(x))) title "q0=0.5" lw 2, \
	dB(Pid_3(z(x))) title "q0=0.1" lw 2

