#
#   Zeroes polar chart drawing.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


set term png size 400,400 x000000 xffffff


load "zeri_poli.gnu"



set polar
set dummy t

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.25:1.25]
set yrange[-1.25:1.25]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona gli zeri
set label 1  "q0" at real(q2),imag(q2) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 2  "p0" at real(p1),imag(p1) tc lt 1 point ps 3 offset 0.4,0.4

set arrow 3 from 0.3,0.75 to 0.9,0.1
set label 3 "scarsa integrazione" at 0.3,0.75 front
set arrow 4 from 0.3,-0.75 to 0.1,-0.1
set label 4 "forte integrazione" at 0.3,-0.75 front


plot 1.0 linetype 3 lw 2

