#
#   Risposta in frequenza del filtro digitale costruito.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set term png size 640,480 x000000 xffffff



load "zeri_poli.gnu"



set grid x y
set xzeroaxis lw 2

#set key off
set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key bottom

set samples 300

set xrange[0.0:0.5]
set yrange[-40:40]

set xtics 0.05
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Risposta in frequenza del PID in anello aperto"

set arrow 1 from 0.14,-16 to 0.07,-13
set label 1 "forte integrazione, basso Si" at 0.145,-16
set arrow 2 from 0.02,-35 to 0.01,-19
set label 2 "scarsa integrazione, alto Si" at 0.025,-35
#set arrow 3 from 0.12,13.5 to 0.06,4
set arrow 4 from 0.37,-7 to 0.42,15
set label 4 "Sd crescente" at 0.425,15
set arrow 5 from 0.02,-21 to 0.06,-16
set arrow 6 from 0.02,-10 to 0.06,-6
set arrow 7 from 0.02,-3 to 0.06,0
set label 8 "Si decrescente" at 0.025,-23


plot	dB(Pid(1,1,z(x))) title "Si=1 Sd=1" lt 1 lw 2, \
	dB(Pid(3,1,z(x))) title "Si=3 Sd=1" lt 1 lw 2, \
	dB(Pid(9,1,z(x))) title "Si=9 Sd=1" lt 1 lw 2, \
	dB(Pid(1,3,z(x))) title "Si=1 Sd=3" lt 2 lw 2, \
	dB(Pid(3,3,z(x))) title "Si=3 Sd=3" lt 2 lw 2, \
	dB(Pid(9,3,z(x))) title "Si=9 Sd=3" lt 2 lw 2, \
	dB(Pid(1,9,z(x))) title "Si=1 Sd=9" lt 3 lw 2, \
	dB(Pid(3,9,z(x))) title "Si=3 Sd=9" lt 3 lw 2, \
	dB(Pid(9,9,z(x))) title "Si=9 Sd=9" lt 3 lw 2

