#
#   Zeroes polar chart drawing.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


set term png size 900,450 x000000 xffffff


load "zeri_poli.gnu"



#set polar
set parametric
#set dummy s

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set multiplot
set size 0.5,1
set origin 0.5,0.0

#set key off
set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key top

set samples 300

set trange[0:2*pi]
set xrange[-0.20:1.20]
set yrange[-0.20:1.20]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona gli zeri
#set label 1  "q0" at real(q2),imag(q2) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 2  "p0" at real(p1),imag(p1) tc lt 1 point ps 3 offset 0.4,0.4

#set arrow 3 from 0.65,0.38 to 0.86,0.10
#set label 3 "Si crescente" at 0.65,0.47 front
#set arrow 4 from 0.3,-0.75 to 0.1,-0.1
#set label 4 "forte integrazione" at 0.3,-0.75 front

plot	real(Zero_p(Range(t,0, 3), 1)),imag(Zero_p(Range(t,0, 3), 1)) title "Sd=1" lw 2, \
	real(Zero_p(Range(t,0, 7), 2)),imag(Zero_p(Range(t,0, 7), 2)) title "Sd=2" lw 2, \
	real(Zero_p(Range(t,0,10), 9)),imag(Zero_p(Range(t,0,10), 9)) title "Sd=9" lw 2, \
	cos(t),sin(t) notitle linetype 3 lw 3

set origin 0.0,0.0

set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key top

set samples 300

set trange[0:2*pi]
set xrange[-0.20:1.20]
set yrange[-0.20:1.20]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona gli zeri
#set label 2  "q0" at real(q2),imag(q2) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 4  "p0" at real(p1),imag(p1) tc lt 1 point ps 3 offset 0.4,0.4

#set arrow 3 from 0.65,0.38 to 0.86,0.10
#set label 3 "Si crescente" at 0.65,0.47 front
#set arrow 4 from 0.3,-0.75 to 0.1,-0.1
#set label 4 "forte integrazione" at 0.3,-0.75 front

plot	real(Zero_p(Range(t,0, 3), 1)),imag(Zero_p(Range(t,0, 3), 1)) title "Sd=1" lw 2, \
	real(Zero_p(Range(t,0, 7), 2)),imag(Zero_p(Range(t,0, 7), 2)) title "Sd=2" lw 2, \
	real(Zero_p(Range(t,0,10), 9)),imag(Zero_p(Range(t,0,10), 9)) title "Sd=9" lw 2, \
	real(Zero_p( 1,Range(t,0.30,10))),imag(Zero_p( 1,Range(t,0.30,10))) title "Si=1" lw 2, \
	real(Zero_p( 2,Range(t,0.60,10))),imag(Zero_p( 2,Range(t,0.60,10))) title "Si=2" lw 2, \
	real(Zero_p( 9,Range(t,3.00,10))),imag(Zero_p( 9,Range(t,3.00,10))) title "Si=9" lw 2, \
	cos(t),sin(t) notitle linetype 3 lw 3

unset multiplot
