#
#   Risposta in frequenza del filtro digitale costruito.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#

set term png size 640,480 x000000 xffffff



load "zeri_poli.gnu"



set grid x y
set xzeroaxis lw 2

set key off
#set key on
#set key title "lines"
#set key Left reverse samplen 1 box lw 1
#set key width 1 height 1
#set key right
#set key bottom

set samples 300

set xrange[0.0:0.5]
set yrange[-40:40]

set xtics 0.05
set ytics 10

set xlabel "Normalized freq."
set ylabel "Gain [dB]"
set title "Risposta in frequenza del PID in anello aperto"

set arrow 1 from 0.12,25 to 0.042,10
set label 1 "Su basso, forte integrazione, scarsa derivazione" at 0.125,25
set arrow 2 from 0.02,-35 to 0.01,-15
set label 2 "Su alto, scarsa integrazione, forte derivazione" at 0.025,-35
set arrow 3 from 0.12,13.5 to 0.02,-11
set label 3 "Su crescente" at 0.125,13.5
set arrow 4 from 0.12,35 to 0.042,20
set label 4 "Su bassissimo, super integrazione" at 0.125,35


plot	dB(Pid(0.50,z(x))) title "Su=0.50" lt 2 lw 2, \
	dB(Pid(1.00,z(x))) title "Su=1"    lt 2 lw 2, \
	dB(Pid(3.00,z(x))) title "Su=3"    lt 2 lw 2, \
	dB(Pid(9.00,z(x))) title "Su=9"    lt 2 lw 2, \
	dB(Pid(0.25,z(x))) title "Su=0.25" lt 1 lw 2, \
	dB(Pid(0.30,z(x))) title "Su=0.30" lt 1 lw 2, \
	dB(Pid(0.40,z(x))) title "Su=0.40" lt 1 lw 2

