#
#   Disposizione dei poli e degli zeri nel piano complesso.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


# Funzioni
r(Si,Sd)=sqrt(Si*Sd/(Si*Sd + Si + 1.0))
fi(Si,Sd)=acos((1.0+2.0*Sd)*Si/(2.0*sqrt(Si*Sd + Si + 1.0)*sqrt(Si*Sd)))
Lim_r(Sd)=sqrt(Sd/(Sd+1))
Lim_fi(Sd)=acos((0.5+Sd)/sqrt(Sd*(Sd+1)))
r2(Su)=sqrt(Su/(Su+2))
fi2(Su)=acos((Su**2+Su-0.5)/sqrt(Su**3)/sqrt(Su+2))


dB(a)=20.0*log10(a)
Disc(r,rad)=r*(cos(rad) + {0.0,1.0}*sin(rad))
Dist(z,i)=abs(z-i)
z(fn)=exp({0.0,1.0}*fn*2.0*pi)


Range(x,i,f)=x/(2.0*pi)*(f-i)+i
Pol(r,fi)=r*(cos(fi) + {0.0,1.0}*sin(fi))
Zero_p(Si,Sd)=Pol(r(Si,Sd),fi(Si,Sd))
Lim(Sd)=Pol(Lim_r(Sd),Lim_fi(Sd))
Zero_p2(Su)=Pol(r2(Su),fi2(Su))



# Zeri
q1(Su)=Disc(r2(Su), fi2(Su))
q2(Su)=Disc(r2(Su),-fi2(Su))

# Poli
p1=Disc(1.0, 0.0)



Pid(Su,z)=  Dist(z,q1(Su)) * Dist(z,q2(Su)) / Dist(z,p1)


